Get rid of PEAR updating when installing. Should be final fix for #2020.

This commit is contained in:
paul 2006-11-23 21:25:20 +00:00
parent 507151aec8
commit 505c9b4f63
4 changed files with 2 additions and 60 deletions

View File

@ -235,7 +235,6 @@ echo "Checking for required tools..."
check_exe "sed" || exit 1;
check_exe "psql" || exit 1;
check_exe "php" || exit 1;
check_exe "pear" || exit 1;
#-------------------------------------------------------------------------------
@ -424,15 +423,6 @@ rm -f $www_root/campcaster
ln -vs $install_var_ls $www_root/campcaster
#-------------------------------------------------------------------------------
# Install PEAR packages (locally in the Campcaster)
# only if necessary
#-------------------------------------------------------------------------------
if [ -f $toolsdir/pear/bin/install.sh ]; then
$toolsdir/pear/bin/install.sh -d $installdir || exit 1;
fi
#-------------------------------------------------------------------------------
# Setup directory permissions
#-------------------------------------------------------------------------------

View File

@ -226,7 +226,6 @@ echo "Checking for required tools..."
check_exe "sed" || exit 1;
check_exe "psql" || exit 1;
check_exe "php" || exit 1;
check_exe "pear" || exit 1;
check_exe "odbcinst" || exit 1;
@ -282,15 +281,6 @@ ${install_bin}/createOdbcDataSource.sh --database=${ls_database} \
--dbserver=${ls_dbserver}
#-------------------------------------------------------------------------------
# Install PEAR packages (locally in the Campcaster)
# only if necessary
#-------------------------------------------------------------------------------
if [ -f $install_usr/lib/pear/bin/install.sh ]; then
$install_usr/lib/pear/bin/install.sh -d $installdir || exit 1;
fi
#-------------------------------------------------------------------------------
# Setup directory permissions
#-------------------------------------------------------------------------------

View File

@ -24,7 +24,7 @@
# Author : $Author$
# Version : $Revision$
# Location : $URL$
#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
# This script makes pre-install steps and checks for Campcaster.
#
@ -136,24 +136,6 @@ check_exe() {
}
#-------------------------------------------------------------------------------
# Function to check for a PEAR module
#
# @param $1 the name of the PEAR module
# @return 0 if the module is available, non-0 otherwise
#-------------------------------------------------------------------------------
check_pear_module() {
test_result=`pear info $1`
if [ $? = 0 ]; then
echo "PEAR module $1 found...";
return 0;
else
echo "PEAR module $1 not found...";
return 1;
fi
}
#-------------------------------------------------------------------------------
# Check for required tools
#-------------------------------------------------------------------------------
@ -162,7 +144,6 @@ echo "Checking for required tools..."
check_exe "sed" || exit 1;
check_exe "psql" || exit 1;
check_exe "php" || exit 1;
check_exe "pear" || exit 1;
check_exe "odbcinst" || exit 1;

View File

@ -24,7 +24,7 @@
# Author : $Author$
# Version : $Revision$
# Location : $URL$
#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
#-------------------------------------------------------------------------------
# This script configures the environment for a developer.
#
@ -233,24 +233,6 @@ check_exe() {
}
#-------------------------------------------------------------------------------
# Function to check for a PEAR module
#
# @param $1 the name of the PEAR module
# @return 0 if the module is available, non-0 otherwise
#-------------------------------------------------------------------------------
check_pear_module() {
test_result=`pear info $1`
if [ $? = 0 ]; then
echo "PEAR module $1 found...";
return 0;
else
echo "PEAR module $1 not found...";
return 1;
fi
}
#-------------------------------------------------------------------------------
# Check for required tools
#-------------------------------------------------------------------------------
@ -258,7 +240,6 @@ echo "Checking for required tools..."
check_exe "sed" || exit 1;
check_exe "php" || exit 1;
check_exe "pear" || exit 1;
#-------------------------------------------------------------------------------